/**
 **	File:	sql2class.h
 **
 **	Published / author: 2004-04-14 / grymse@alhem.net
 **/

/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include <vector>
#include <string>

	typedef struct fieldsstruct
	{
		struct fieldsstruct *next;
		int num;
		char column[200];
		char typ[200];
		char ctype[200];
		int length;		// char length of ctype
		char comment[100];
		bool ignore;		// ignore field in insert/update
	} FIELDS;
	typedef std::vector<FIELDS *> fields_v;

	struct INDEX
	{
		INDEX(const std::string& n,bool p,bool u) : name(n),primary(p),unique(u) {}
		std::string name;
		bool primary;
		bool unique;
		fields_v fields;
		bool ambig;
	};
	typedef std::vector<INDEX *> index_v;

	typedef struct tblsstruct
	{
		struct tblsstruct *next;
		char name[60];
		FIELDS *fieldsbase;
		index_v index;
		INDEX *primary;
	} TBLS;

extern	TBLS *tblsbase;
extern	char namespc[40];
extern	short container;
extern  char baseclass[40];
extern	bool mediumtext; // vector<string> needed
extern	bool use_stl;
